Class InterfolioMockServiceHandler
java.lang.Object
edu.internet2.middleware.grouper.j2ee.MockServiceHandler
edu.internet2.middleware.grouper.app.interfolio.InterfolioMockServiceHandler
Simulates the Interfolio API for tests. Both the IAM host and the byc host point at this one mock
(URL /grouper/mockServices/interfolio/...); requests are dispatched by HTTP method + path.
Implemented (the operations that work with our credentials):
POST /iam/{tid}/users -> createUser
PUT /iam/{tid}/users/{pid} -> updateUser
GET /byc/core/tenure/{tid}/institutions/{tid}/users/search -> searchUsers
GET /byc/core/tenure/{tid}/users/csv_report -> csvReport
POST /byc-tenure|byc-search/{tid}/users/{pid}/subscribe -> subscribe
PUT /byc-tenure|byc-search/{tid}/users/{pid}/unsubscribe -> unsubscribe
-
Field Summary
FieldsModifier and TypeFieldDescriptionsensitive headers not to logsensitive parameters not to log -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionstatic voidCreate the mock table if it is not already present.voidhandleRequest(MockServiceRequest mockServiceRequest, MockServiceResponse mockServiceResponse)
-
Field Details
-
doNotLogHeaders
sensitive headers not to log -
doNotLogParameters
sensitive parameters not to log
-
-
Constructor Details
-
InterfolioMockServiceHandler
public InterfolioMockServiceHandler()
-
-
Method Details
-
doNotLogHeaders
- Overrides:
doNotLogHeadersin classMockServiceHandler
-
doNotLogParameters
- Overrides:
doNotLogParametersin classMockServiceHandler
-
handleRequest
public void handleRequest(MockServiceRequest mockServiceRequest, MockServiceResponse mockServiceResponse) - Specified by:
handleRequestin classMockServiceHandler
-
ensureInterfolioMockTables
public static void ensureInterfolioMockTables()Create the mock table if it is not already present.
-